org.apache.xalan.lib.sql

## Class QueryParameter

- java.lang.Object
- - org.apache.xalan.lib.sql.QueryParameter

-     public class QueryParameter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParameter()`
    `QueryParameter(java.lang.String v, java.lang.String t)`
    `QueryParameter(java.lang.String name, java.lang.String value, java.lang.String type, boolean out_flag)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `int` | `getType()`
    `java.lang.String` | `getTypeName()`
    `java.lang.String` | `getValue()`
    `boolean` | `isOutput()`
    `void` | `setIsOutput(boolean flag)` Set Name, this should really be covered in the constructor but the QueryParser has a State issue where the name is discoverd after the Parameter object needs to be created
    `void` | `setName(java.lang.String n)` Set Name, this should really be covered in the constructor but the QueryParser has a State issue where the name is discoverd after the Parameter object needs to be created
    `void` | `setTypeName(java.lang.String newType)` Used to set the parameter type when the type information is provided in the query.
    `void` | `setValue(java.lang.String newValue)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryParameter

          public QueryParameter()

    - #### QueryParameter

          public QueryParameter(java.lang.String v,
                                java.lang.String t)

      Parameters:
        `v` - The parameter value.
        `t` - The type of the parameter.

    - #### QueryParameter

          public QueryParameter(java.lang.String name,
                                java.lang.String value,
                                java.lang.String type,
                                boolean out_flag)

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String newValue)

      Parameters:
        `newValue` -

    - #### setTypeName

          public void setTypeName(java.lang.String newType)

      Used to set the parameter type when the type information is provided in the query.
      Parameters:
        `newType` - The parameter type.

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### getType

          public int getType()

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String n)

      Set Name, this should really be covered in the constructor but the QueryParser has a State issue where the name is discoverd after the Parameter object needs to be created

    - #### isOutput

          public boolean isOutput()

    - #### setIsOutput

          public void setIsOutput(boolean flag)

      Set Name, this should really be covered in the constructor but the QueryParser has a State issue where the name is discoverd after the Parameter object needs to be created

Copyright © 2023 Apache XML Project. All Rights Reserved.